Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046416
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[POS2] POSmajorhave not tried2021-04-29 08:582021-06-29 17:14
Reporterjorge-garciaView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in VersionTAP
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionTAP
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046416: Manual promotions are not properly applied

DescriptionManual promotions (excluding order discounts) are not properly applied in new POS
Steps To Reproduce1) Login in the application
2) Add two products (i.e. Avalanche Transceiver and Balaclava Cap)
3) Select the first line and in the popover, select Discount option
4) Click on "disc_5_var_euro" and change the amount to 10
5) Apply only to the FIRST line
6) Check the promotion of 10 is applied only to the first line
7) Select the second line and in the popover, select Discount option
8) Click on "disc_5_var_euro" and leave the default amount (5)
9) Apply only to the SECOND line
10) Check the promotion of 10 is applied to the first and second line (this is wrong, it should apply 10 to the first line and 5 to the second line)

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0046407 closedjavierRodriguez Manual promotions are not properly applied 

-  Notes
(0128420)
javierRodriguez (developer)
2021-05-19 17:55

Fixed in commit: https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/commit/3ad13b7b0443f15f23902ec1f73a014bb0e8ae90 [^]

MR

pos2: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/459 [^]
retail.discounts: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/23 [^]

- Issue History
Date Modified Username Field Change
2021-04-29 10:51 guilleaer Type defect => backport
2021-04-29 10:51 guilleaer Target Version => TAP
2021-04-29 10:51 guilleaer Status scheduled => acknowledged
2021-05-19 17:49 javierRodriguez Assigned To Retail => javierRodriguez
2021-05-19 17:50 javierRodriguez Status acknowledged => scheduled
2021-05-19 17:55 javierRodriguez Note Added: 0128420
2021-05-19 17:55 javierRodriguez Status scheduled => resolved
2021-05-19 17:55 javierRodriguez Resolution open => fixed
2021-06-29 17:14 guilleaer Review Assigned To => guilleaer
2021-06-29 17:14 guilleaer Status resolved => closed
2021-06-29 17:14 guilleaer Fixed in Version => TAP


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker